Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching
Class NoBlockApplicableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.mdm.index.master.EViewException
                  com.sun.mdm.index.master.UserException
                      com.sun.mdm.index.matching.NoBlockApplicableException

All Implemented Interfaces:
  java.io.Serializable

public class NoBlockApplicableException
extends UserException

No remaining Block definition is suitable for retrieving data relevant to the given SystemObject

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`NoBlockApplicableException()` Creates new `MatchingException` without detail message.
`NoBlockApplicableException(java.lang.String msg)` Constructs an `NoBlockApplicableException` with the specified detail message.
`NoBlockApplicableException(java.lang.String msg, java.lang.Throwable cause)` Constructs an `MatchingException` with the specified detail message and cause.
`NoBlockApplicableException(java.lang.Throwable cause)` Constructs an `MatchingException` with the specified cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoBlockApplicableException

    public NoBlockApplicableException()

  Creates new `MatchingException` without detail message.

### NoBlockApplicableException

    public NoBlockApplicableException(java.lang.String msg)

  Constructs an `NoBlockApplicableException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### NoBlockApplicableException

    public NoBlockApplicableException(java.lang.String msg,
                                      java.lang.Throwable cause)

  Constructs an `MatchingException` with the specified detail message and cause.

  Parameters:
    `msg` - the detail message.
    `cause` - the linked cause.

### NoBlockApplicableException

    public NoBlockApplicableException(java.lang.Throwable cause)

  Constructs an `MatchingException` with the specified cause.

  Parameters:
    `cause` - the linked cause.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.